/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.userTask;


import java.util.Date;

import com.google.gwt.user.client.rpc.IsSerializable;


/**
 * model class used to store information of the job
 *
 * @author Guillaume Porcher
 */
public class MTask implements IsSerializable {

  private String taskType;
  private String taskId;
  private String status;
  private String name;
  private String subject;
  private Date createdDate;

  public MTask(String taskType, String taskId, String status, String name, String subject, Date createdDate) {
    this.taskType = taskType;
    this.taskId = taskId;
    this.status = status;
    this.name = name;
    this.subject = subject;
    this.createdDate = createdDate;
  }

  protected MTask() {
  }

  public String getTaskType() {
    return taskType;
  }

  public String getTaskId() {
    return taskId;
  }

  public String getStatus() {
    return status;
  }

  public String getName() {
    return name;
  }

  public Date getCreatedDate() {
    return createdDate;
  }

  public String getSubject() {
    return subject;
  }
}
