/*******************************************************************************
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 *******************************************************************************/
package org.ow2.orchestra.console.GWTConsole.client.userTask;

import com.google.gwt.core.client.GWT;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiField;
import com.google.gwt.uibinder.client.UiTemplate;
import com.google.gwt.user.client.ui.Composite;
import com.google.gwt.user.client.ui.TabLayoutPanel;
import com.google.gwt.user.client.ui.Widget;
import org.ow2.orchestra.console.GWTConsole.client.Commons.celltable.ConsoleCellTable;
import org.ow2.orchestra.console.GWTConsole.client.Commons.celltable.ConsolePager;
import org.ow2.orchestra.console.GWTConsole.client.listJobs.MJob;

/**
 * class which represents the view of the list jobs part of the application
 *
 * @author Guillaume Porcher
 */
public class VListTasks extends Composite {

  @UiTemplate("VListTasks.ui.xml")
  interface MyUiBinder extends UiBinder<Widget, VListTasks> {
  }

  private static MyUiBinder uiBinder = GWT.create(MyUiBinder.class);

  @UiField
  ConsoleCellTable<MTask> table;

  @UiField
  ConsolePager pager;

  @UiField
  VTaskDetails details;

  private TabLayoutPanel tabLayoutPanel;

  public VListTasks() {
    //
    this.initWidget(VListTasks.uiBinder.createAndBindUi(this));
  }


  /**
   * @return the table
   */
  public ConsoleCellTable<MTask> getTable() {
    return this.table;
  }

  /**
   * @return The {@link com.google.gwt.user.cellview.client.SimplePager} used to change the range of data.
   */
  public ConsolePager getPager() {
    return this.pager;
  }

  /**
   * @return the detaille view for a task.
   */
  public VTaskDetails getDetails() {
    return details;
  }
}
